io.agora.rtc

## Class MixerLayoutConfig

- java.lang.Object
- - io.agora.rtc.MixerLayoutConfig

-     public class MixerLayoutConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `alpha`
    `private int` | `height`
    `private java.lang.String` | `imagePath`
    `private int` | `left`
    `private byte` | `mirror`
    `private int` | `top`
    `private int` | `width`
    `private int` | `zOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixerLayoutConfig()`
    `MixerLayoutConfig(int top, int left, int width, int height, int zOrder, float alpha, byte mirror, java.lang.String imagePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAlpha()`
    `int` | `getHeight()`
    `java.lang.String` | `getImagePath()`
    `int` | `getLeft()`
    `byte` | `getMirror()`
    `int` | `getTop()`
    `int` | `getWidth()`
    `int` | `getZOrder()`
    `void` | `setAlpha(float alpha)`
    `void` | `setHeight(int height)`
    `void` | `setImagePath(java.lang.String imagePath)`
    `void` | `setLeft(int left)`
    `void` | `setMirror(byte mirror)`
    `void` | `setTop(int top)`
    `void` | `setWidth(int width)`
    `void` | `setZOrder(int zOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### top

          private int top

    - #### left

          private int left

    - #### width

          private int width

    - #### height

          private int height

    - #### zOrder

          private int zOrder

    - #### alpha

          private float alpha

    - #### mirror

          private byte mirror

    - #### imagePath

          private java.lang.String imagePath

  - ### Constructor Detail

    - #### MixerLayoutConfig

          public MixerLayoutConfig()

    - #### MixerLayoutConfig

          public MixerLayoutConfig(int top,
                                   int left,
                                   int width,
                                   int height,
                                   int zOrder,
                                   float alpha,
                                   byte mirror,
                                   java.lang.String imagePath)

  - ### Method Detail

    - #### getTop

          public int getTop()

    - #### setTop

          public void setTop(int top)

    - #### getLeft

          public int getLeft()

    - #### setLeft

          public void setLeft(int left)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getZOrder

          public int getZOrder()

    - #### setZOrder

          public void setZOrder(int zOrder)

    - #### getAlpha

          public float getAlpha()

    - #### setAlpha

          public void setAlpha(float alpha)

    - #### getMirror

          public byte getMirror()

    - #### setMirror

          public void setMirror(byte mirror)

    - #### getImagePath

          public java.lang.String getImagePath()

    - #### setImagePath

          public void setImagePath(java.lang.String imagePath)